﻿
/*
 * Contact Class.
 *   Version: 1.0.0
 *   Desc: Data type to store contact information. For simplicity,
 *         this class does not user getter/setter methods to access
 *         data. After initialization, properties are assigned directly by
 *         methods of the ContactManager class.
 */

 
 
/* =================
 * Class constructor
 * =================
 *   Desc: The Contact constructor is not called directly by the
 *         user, but by the addContact() method of the ContactManager class.
 *   Parameters:
 *     firstName    The person's first name.
 *     lastName     The person's last name.
 *     email        The person's email address.
 *     phone        The person's phone number.
 *     phonetype    The type of phone number (home, work, cell)
 *     company      The person's place of business.
 *     comments     Arbitrary notes associated with the person.
 *     id           A unique id by with to identify the contact record.
 * =================
 */
 
 
 
function Contact (firstName, lastName, father,
				  gender, birthday, place, address,
				  email, phone,  phonetype, number, school, grade, work, yes, no, 
                  id)  {
  // Assign user-defined parameters to corresponding properties.
  this.firstName = (typeof firstName == "string") ? firstName : "";
  this.lastName = (typeof lastName == "string") ? lastName : "";
  this.father = (typeof father == "string") ? father : "";
  this.gender = (typeof gender == "string") ? gender : "";
  this.birthday = (typeof birthday == "string") ? birthday : "";
  this.place = (typeof place == "string") ? place : "";
  this.number = (typeof number == "string") ? number : "";
  this.address = (typeof address == "string") ? address : "";
  this.email = (typeof email == "string") ? email : "";
  this.phone = (typeof phone == "string") ? phone : "";
  this.phonetype = (typeof phonetype == "number") ? phonetype : "";
  this.school = (typeof company == "string") ? school : "";
  this.grade = (typeof grade == "string") ? grade : "";
  this.work = (typeof work == "string") ? work : "";
  this.yes = (typeof yes == "string") ? yes : "";
  this.no = (typeof no == "string") ? no : "";
  
  // Note the creation time for this contact.
  this.dateAdded = this.dateModified = new Date();
  
  // Assign the contact a unique id, provided by the addContact()
  // method of the ContactManager class.
  this.id = id;
}